Package org.drinkless.tdlib

# Class TdApi.UpdateApplicationVerificationRequired

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateApplicationVerificationRequired

Enclosing class:
  `TdApi`

public static class TdApi.UpdateApplicationVerificationRequired extends TdApi.Update
A request can't be completed unless application verification is performed; for official mobile applications only. The method setApplicationVerificationToken must be called once the verification is completed or failed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `cloudProjectNumber`
  Cloud project number to pass to the Play Integrity API on Android.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `nonce`
  Unique base64url-encoded nonce for the classic Play Integrity verification (https://developer.android.com/google/play/integrity/classic) for Android, or a unique string to compare with verifyNonce field from a push notification for iOS.
  `long`
  `verificationId`
  Unique identifier for the verification process.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateApplicationVerificationRequired()`
  A request can't be completed unless application verification is performed; for official mobile applications only.
  `UpdateApplicationVerificationRequired(long verificationId, String nonce, long cloudProjectNumber)`
  A request can't be completed unless application verification is performed; for official mobile applications only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### verificationId

    public long verificationId
    Unique identifier for the verification process.

  - ### nonce

    public String nonce
    Unique base64url-encoded nonce for the classic Play Integrity verification (https://developer.android.com/google/play/integrity/classic) for Android, or a unique string to compare with verifyNonce field from a push notification for iOS.

  - ### cloudProjectNumber

    public long cloudProjectNumber
    Cloud project number to pass to the Play Integrity API on Android.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateApplicationVerificationRequired

    public UpdateApplicationVerificationRequired()
    A request can't be completed unless application verification is performed; for official mobile applications only. The method setApplicationVerificationToken must be called once the verification is completed or failed.

  - ### UpdateApplicationVerificationRequired

    public UpdateApplicationVerificationRequired(long verificationId, String nonce, long cloudProjectNumber)
    A request can't be completed unless application verification is performed; for official mobile applications only. The method setApplicationVerificationToken must be called once the verification is completed or failed.
    Parameters:
      `verificationId` - Unique identifier for the verification process.
      `nonce` - Unique base64url-encoded nonce for the classic Play Integrity verification (https://developer.android.com/google/play/integrity/classic) for Android, or a unique string to compare with verifyNonce field from a push notification for iOS.
      `cloudProjectNumber` - Cloud project number to pass to the Play Integrity API on Android.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR